import { ColumnOrderState, ColumnPinningState, ColumnSizingInfoState, ColumnSizingState, ExpandedState, PaginationState, RowSelectionState, TableState, VisibilityState } from '@tanstack/react-table';
import { SortingState, ColumnFiltersState } from '@tanstack/table-core';
import { DataQuery } from '../../DataQuery';
export declare class GridStateStore<TFilter, TSorting> {
    highlightedId: string | undefined;
    tableState: TableState | undefined;
    isLoading: boolean;
    pageCount: number;
    query: DataQuery<TFilter, TSorting> | undefined;
    constructor();
    setHighlightedId(value: string | undefined): void;
    setTable(value: TableState): void;
    setRowSelection(value: RowSelectionState): void;
    setIsLoading(value: boolean): void;
    setPageCount(value: number): void;
    setQuery(value: DataQuery<TFilter, TSorting>): void;
    get columnOrder(): ColumnOrderState;
    get rowSelection(): RowSelectionState;
    get columnSizing(): ColumnSizingState;
    get columnSizingInfo(): ColumnSizingInfoState;
    get columnVisibility(): VisibilityState;
    get columnPinning(): ColumnPinningState;
    get columnFilters(): ColumnFiltersState;
    get sorting(): SortingState;
    get pagination(): PaginationState;
    get expand(): ExpandedState;
}
